
%define debug_package %{nil}
Name:    tezos-smart-rollup-node-Proxford
Version: 18.0
Release: 4
Epoch: 1
Summary: Tezos smart rollup node using Proxford
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-smart-rollup-node-Proxford-18.0.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v18.0/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-client, tezos-node, tezos-sapling-params
%description
Tezos smart rollup node using Proxford
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-smart-rollup-node-Proxford
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-smart-rollup-node-Proxford %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-smart-rollup-node-Proxford %{buildroot}/%{_bindir}/tezos-smart-rollup-node-Proxford



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-smart-rollup-node-proxford.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-smart-rollup-node-proxford.default %{buildroot}/%{_sysconfdir}/default/tezos-smart-rollup-node-proxford

install -m 0755 tezos-sc-rollup-node-Proxford-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-smart-rollup-node-Proxford
%{_bindir}/tezos-smart-rollup-node-Proxford

%{_bindir}/tezos-sc-rollup-node-Proxford-start

%{_unitdir}/tezos-smart-rollup-node-proxford.service

%{_sysconfdir}/default/tezos-smart-rollup-node-proxford



%post
%systemd_post tezos-smart-rollup-node-proxford.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-smart-rollup-node-proxford.service


%postun
%systemd_postun_with_restart tezos-smart-rollup-node-proxford.service



